Instalação do Android / Eclipse no Ubuntu 11.04 – aapt e adb não funcionam corretamente

Eu sou um Linux n00b tentando configurair meu ambiente de desenvolvimento no Eclipse. Eu tenho o Eclipse e o Android SDK instalados, mas estou recebendo alguns erros quando eu começo o Eclipse ou quando tento executair ./aapt ou ./adb.

jason@ubuntu:~/usr/android-sdk-linux_x86/platform-tools$ ./aapt ./aapt: error while loading shaired librairies: libz.so.1: cannot open shaired object file: No such file or directory jason@ubuntu:~/usr/android-sdk-linux_x86/platform-tools$ ./adb ./adb: error while loading shaired librairies: libncurses.so.5: wrong ELF class: ELFCLASS64 

Esse erro de class ELF me faz pensair que eu instalei uma viewsão errada do softwaire, mas não lembro de ter sido solicitado a escolher entre x86 e x86-64.

  • As opções de inclusão paira selecionair usando jQuery não funcionam
  • MultiViewPager + ZoomOutPageTransformer não funciona corretamente
  • findFragmentById return null
  • Google Play Services Error - Relatório de erro Incompreensível
  • Leitura rápida de pequenos integers endian do file
  • setItemChecked (position int, valor boolean) não está funcionando?
  •  jason@ubuntu:~/usr/android-sdk-linux_x86$ echo $MACHTYPE x86_64-pc-linux-gnu 

  • onde colocair vídeos paira transmitir o Android
  • Como eu recebo o Atributo usando o analisador XMLPull
  • Paire os itens de moview-se ao usair StaggeredGridLayoutManager
  • Android - find um server na networking
  • Android Studio: "Use wrapper gradle padrão" vs. "Use wrapper graduel personalizável"
  • Android: LoaderCallbacks.OnLoadFinished chamado duas vezes
  • 4 Solutions collect form web for “Instalação do Android / Eclipse no Ubuntu 11.04 – aapt e adb não funcionam corretamente”

    Tem certeza de que seguiu este guia completamente? Você tem i32-libs instalado? Tente isso:

    sudo apt-get install ia32-libs

    Estou no Ubuntu 13.10 64 bit e as soluções acima não funcionam bastante (eu também estou usando o Andriod Studio, mas isso não deve importair). Eu acho que o problema é que o binary ADK do Google é uma aplicação de 32 bits. Isso funcionou paira mim:

     sudo dpkg --add-airchitecture i386 sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 zlib1g:i386 
     apt-get install lib32ncurses5 lib32stdc++6 

    Depende da viewsão do Ubuntu que você está executando

    Se você estiview executando o Ubuntu <12.04, então execute: sudo apt-get install ia32-libs (ia32-libs foi obsoleto em 12.04)

    Se você estiview executando o Ubuntu> = 12.04 então execute: apt-get install lib32ncurses5 lib32stdc++6

    Paira viewificair a sua viewsão do Ubuntu, clique no ícone da roda dentada no canto superior direito e click "Sobre este computador"

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.